Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.connector.warp
Class WarpRequest.Stream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--org.apache.catalina.connector.warp.WarpRequest.Stream

Enclosing class:
  WarpRequest

protected class WarpRequest.Stream
extends java.io.InputStream

Constructor Summary
`protected` | `WarpRequest.Stream(WarpRequest request)`

Method Summary
`void` | `close()`
`WarpSSLData` | `getSSL()` Read the data from the SSL environment.
`java.lang.String` | `getX509Certificates()`
`int` | `read()`
`void` | `recycle()`

Methods inherited from class java.io.InputStream
`available, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WarpRequest.Stream

    protected WarpRequest.Stream(WarpRequest request)

Method Detail

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
    `java.io.IOException`

### getX509Certificates

    public java.lang.String getX509Certificates()
                                         throws java.io.IOException

    `java.io.IOException`

### getSSL

    public WarpSSLData getSSL()
                       throws java.io.IOException

  Read the data from the SSL environment.

    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `java.io.InputStream`
    `java.io.IOException`

### recycle

    public void recycle()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.